/// <reference types="hoist-non-react-statics" />
import { ThemeProps } from '../theme';
import React from 'react';
import { Option, Options } from './Select';
import { LocaleProps } from '../locale';
export interface BaseRadiosProps extends ThemeProps, LocaleProps {
    options: Options;
    className?: string;
    placeholder: string;
    value?: any;
    onChange?: (value: any) => void;
    onDeferLoad?: (option: Option) => void;
    option2value?: (option: Option) => any;
    itemClassName?: string;
    itemRender: (option: Option) => JSX.Element;
    disabled?: boolean;
    clearable?: boolean;
    showRadio?: boolean;
    onClick?: (e: React.MouseEvent) => void;
}
export declare class BaseRadios<T extends BaseRadiosProps = BaseRadiosProps, S = {}> extends React.Component<T, S> {
    selected: Option | undefined | null;
    static defaultProps: {
        placeholder: string;
        itemRender: (option: Option) => JSX.Element;
    };
    static resolveSelected(value: any, options: Options, option2value?: (option: Option) => any): Option | null;
    toggleOption(option: Option): void;
    renderOption(option: Option, index: number): JSX.Element;
    render(): JSX.Element;
}
export declare class ListRadios extends BaseRadios {
}
declare const themedListRadios: {
    new (props: Readonly<Pick<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
        placeholder: string;
        itemRender: (option: Option) => JSX.Element;
    }, never>> & {
        locale?: string | undefined;
        translate?: ((str: string, ...args: any[]) => string) | undefined;
    }, "value" | "options" | "disabled" | "onClick" | "locale" | "translate" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio"> & {
        theme?: string | undefined;
        className?: string | undefined;
        classPrefix?: string | undefined;
        classnames?: import("../theme").ClassNamesFn | undefined;
    }>): {
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "disabled" | "onClick" | "locale" | "translate" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "disabled" | "onClick" | "locale" | "translate" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "disabled" | "onClick" | "locale" | "translate" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "disabled" | "onClick" | "locale" | "translate" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "disabled" | "onClick" | "locale" | "translate" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "disabled" | "onClick" | "locale" | "translate" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "disabled" | "onClick" | "locale" | "translate" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "disabled" | "onClick" | "locale" | "translate" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "disabled" | "onClick" | "locale" | "translate" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
    };
    new (props: Pick<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
        placeholder: string;
        itemRender: (option: Option) => JSX.Element;
    }, never>> & {
        locale?: string | undefined;
        translate?: ((str: string, ...args: any[]) => string) | undefined;
    }, "value" | "options" | "disabled" | "onClick" | "locale" | "translate" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio"> & {
        theme?: string | undefined;
        className?: string | undefined;
        classPrefix?: string | undefined;
        classnames?: import("../theme").ClassNamesFn | undefined;
    }, context?: any): {
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "disabled" | "onClick" | "locale" | "translate" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "disabled" | "onClick" | "locale" | "translate" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "disabled" | "onClick" | "locale" | "translate" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "disabled" | "onClick" | "locale" | "translate" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "disabled" | "onClick" | "locale" | "translate" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "disabled" | "onClick" | "locale" | "translate" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "disabled" | "onClick" | "locale" | "translate" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "disabled" | "onClick" | "locale" | "translate" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "disabled" | "onClick" | "locale" | "translate" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
    };
    displayName: string;
    contextType: React.Context<string>;
    ComposedComponent: {
        new (props: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>): {
            render(): JSX.Element;
            context: any;
            setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
            forceUpdate(callback?: (() => void) | undefined): void;
            readonly props: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }> & Readonly<{
                children?: React.ReactNode;
            }>;
            state: Readonly<{}>;
            refs: {
                [key: string]: React.ReactInstance;
            };
            componentDidMount?(): void;
            shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): boolean;
            componentWillUnmount?(): void;
            componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>): any;
            componentDidUpdate?(prevProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>, snapshot?: any): void;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
        };
        new (props: Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, context?: any): {
            render(): JSX.Element;
            context: any;
            setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
            forceUpdate(callback?: (() => void) | undefined): void;
            readonly props: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }> & Readonly<{
                children?: React.ReactNode;
            }>;
            state: Readonly<{}>;
            refs: {
                [key: string]: React.ReactInstance;
            };
            componentDidMount?(): void;
            shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): boolean;
            componentWillUnmount?(): void;
            componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>): any;
            componentDidUpdate?(prevProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>, snapshot?: any): void;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
        };
        displayName: string;
        contextType: React.Context<string>;
        ComposedComponent: typeof ListRadios;
    } & import("hoist-non-react-statics").NonReactStatics<typeof ListRadios, {}> & {
        ComposedComponent: typeof ListRadios;
    };
} & import("hoist-non-react-statics").NonReactStatics<{
    new (props: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
        placeholder: string;
        itemRender: (option: Option) => JSX.Element;
    }, never>> & {
        locale?: string | undefined;
        translate?: ((str: string, ...args: any[]) => string) | undefined;
    }>): {
        render(): JSX.Element;
        context: any;
        setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
    };
    new (props: Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
        placeholder: string;
        itemRender: (option: Option) => JSX.Element;
    }, never>> & {
        locale?: string | undefined;
        translate?: ((str: string, ...args: any[]) => string) | undefined;
    }, context?: any): {
        render(): JSX.Element;
        context: any;
        setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
    };
    displayName: string;
    contextType: React.Context<string>;
    ComposedComponent: typeof ListRadios;
} & import("hoist-non-react-statics").NonReactStatics<typeof ListRadios, {}> & {
    ComposedComponent: typeof ListRadios;
}, {}> & {
    ComposedComponent: {
        new (props: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>): {
            render(): JSX.Element;
            context: any;
            setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
            forceUpdate(callback?: (() => void) | undefined): void;
            readonly props: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }> & Readonly<{
                children?: React.ReactNode;
            }>;
            state: Readonly<{}>;
            refs: {
                [key: string]: React.ReactInstance;
            };
            componentDidMount?(): void;
            shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): boolean;
            componentWillUnmount?(): void;
            componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>): any;
            componentDidUpdate?(prevProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>, snapshot?: any): void;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
        };
        new (props: Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, context?: any): {
            render(): JSX.Element;
            context: any;
            setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
            forceUpdate(callback?: (() => void) | undefined): void;
            readonly props: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }> & Readonly<{
                children?: React.ReactNode;
            }>;
            state: Readonly<{}>;
            refs: {
                [key: string]: React.ReactInstance;
            };
            componentDidMount?(): void;
            shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): boolean;
            componentWillUnmount?(): void;
            componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>): any;
            componentDidUpdate?(prevProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>, snapshot?: any): void;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "clearable" | "showRadio"> & Partial<Pick<Pick<BaseRadiosProps, "value" | "options" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onClick" | "placeholder" | "onChange" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "clearable" | "showRadio">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
        };
        displayName: string;
        contextType: React.Context<string>;
        ComposedComponent: typeof ListRadios;
    } & import("hoist-non-react-statics").NonReactStatics<typeof ListRadios, {}> & {
        ComposedComponent: typeof ListRadios;
    };
};
export default themedListRadios;
