/// <reference types="hoist-non-react-statics" />
import React from 'react';
import { Options, Option } from './Select';
import { TransferProps } from './Transfer';
export interface TabsTransferProps extends Omit<TransferProps, 'selectMode' | 'columns' | 'selectRender' | 'statistics'> {
    cellRender?: (column: {
        name: string;
        label: string;
        [propName: string]: any;
    }, option: Option, colIndex: number, rowIndex: number) => JSX.Element;
}
export declare class TabsTransfer extends React.Component<TabsTransferProps> {
    static defaultProps: {
        selectTitle: string;
        resultTitle: string;
        itemRender: (option: Option) => JSX.Element;
    };
    renderSearchResult(searchResult: Options | null): JSX.Element;
    renderSelect({ onSearch, onSearchCancel, searchResult }: any): JSX.Element;
    render(): JSX.Element;
}
declare const _default: {
    new (props: Readonly<Pick<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
        selectTitle: string;
        resultTitle: string;
        itemRender: (option: Option) => JSX.Element;
    }, never>> & {
        locale?: string | undefined;
        translate?: ((str: string, ...args: any[]) => string) | undefined;
    }, "value" | "options" | "inline" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle"> & {
        theme?: string | undefined;
        className?: string | undefined;
        classPrefix?: string | undefined;
        classnames?: import("../theme").ClassNamesFn | undefined;
    }>): {
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "inline" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "inline" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "inline" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "inline" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "inline" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "inline" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "inline" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "inline" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "inline" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
    };
    new (props: Pick<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
        selectTitle: string;
        resultTitle: string;
        itemRender: (option: Option) => JSX.Element;
    }, never>> & {
        locale?: string | undefined;
        translate?: ((str: string, ...args: any[]) => string) | undefined;
    }, "value" | "options" | "inline" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle"> & {
        theme?: string | undefined;
        className?: string | undefined;
        classPrefix?: string | undefined;
        classnames?: import("../theme").ClassNamesFn | undefined;
    }, context?: any): {
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "inline" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "inline" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "inline" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "inline" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "inline" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "inline" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "inline" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "inline" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "inline" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
    };
    displayName: string;
    contextType: React.Context<string>;
    ComposedComponent: {
        new (props: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>): {
            render(): JSX.Element;
            context: any;
            setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
                selectTitle: string;
                resultTitle: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
            forceUpdate(callback?: (() => void) | undefined): void;
            readonly props: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
                selectTitle: string;
                resultTitle: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }> & Readonly<{
                children?: React.ReactNode;
            }>;
            state: Readonly<{}>;
            refs: {
                [key: string]: React.ReactInstance;
            };
            componentDidMount?(): void;
            shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
                selectTitle: string;
                resultTitle: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): boolean;
            componentWillUnmount?(): void;
            componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
                selectTitle: string;
                resultTitle: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>): any;
            componentDidUpdate?(prevProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
                selectTitle: string;
                resultTitle: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>, snapshot?: any): void;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
                selectTitle: string;
                resultTitle: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
                selectTitle: string;
                resultTitle: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
                selectTitle: string;
                resultTitle: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
                selectTitle: string;
                resultTitle: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
        };
        new (props: Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, context?: any): {
            render(): JSX.Element;
            context: any;
            setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
                selectTitle: string;
                resultTitle: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
            forceUpdate(callback?: (() => void) | undefined): void;
            readonly props: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
                selectTitle: string;
                resultTitle: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }> & Readonly<{
                children?: React.ReactNode;
            }>;
            state: Readonly<{}>;
            refs: {
                [key: string]: React.ReactInstance;
            };
            componentDidMount?(): void;
            shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
                selectTitle: string;
                resultTitle: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): boolean;
            componentWillUnmount?(): void;
            componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
                selectTitle: string;
                resultTitle: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>): any;
            componentDidUpdate?(prevProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
                selectTitle: string;
                resultTitle: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>, snapshot?: any): void;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
                selectTitle: string;
                resultTitle: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
                selectTitle: string;
                resultTitle: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
                selectTitle: string;
                resultTitle: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
                selectTitle: string;
                resultTitle: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
        };
        displayName: string;
        contextType: React.Context<string>;
        ComposedComponent: typeof TabsTransfer;
    } & import("hoist-non-react-statics").NonReactStatics<typeof TabsTransfer, {}> & {
        ComposedComponent: typeof TabsTransfer;
    };
} & import("hoist-non-react-statics").NonReactStatics<{
    new (props: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
        selectTitle: string;
        resultTitle: string;
        itemRender: (option: Option) => JSX.Element;
    }, never>> & {
        locale?: string | undefined;
        translate?: ((str: string, ...args: any[]) => string) | undefined;
    }>): {
        render(): JSX.Element;
        context: any;
        setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
    };
    new (props: Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
        selectTitle: string;
        resultTitle: string;
        itemRender: (option: Option) => JSX.Element;
    }, never>> & {
        locale?: string | undefined;
        translate?: ((str: string, ...args: any[]) => string) | undefined;
    }, context?: any): {
        render(): JSX.Element;
        context: any;
        setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
    };
    displayName: string;
    contextType: React.Context<string>;
    ComposedComponent: typeof TabsTransfer;
} & import("hoist-non-react-statics").NonReactStatics<typeof TabsTransfer, {}> & {
    ComposedComponent: typeof TabsTransfer;
}, {}> & {
    ComposedComponent: {
        new (props: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>): {
            render(): JSX.Element;
            context: any;
            setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
                selectTitle: string;
                resultTitle: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
            forceUpdate(callback?: (() => void) | undefined): void;
            readonly props: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
                selectTitle: string;
                resultTitle: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }> & Readonly<{
                children?: React.ReactNode;
            }>;
            state: Readonly<{}>;
            refs: {
                [key: string]: React.ReactInstance;
            };
            componentDidMount?(): void;
            shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
                selectTitle: string;
                resultTitle: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): boolean;
            componentWillUnmount?(): void;
            componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
                selectTitle: string;
                resultTitle: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>): any;
            componentDidUpdate?(prevProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
                selectTitle: string;
                resultTitle: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>, snapshot?: any): void;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
                selectTitle: string;
                resultTitle: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
                selectTitle: string;
                resultTitle: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
                selectTitle: string;
                resultTitle: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
                selectTitle: string;
                resultTitle: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
        };
        new (props: Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
            selectTitle: string;
            resultTitle: string;
            itemRender: (option: Option) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, context?: any): {
            render(): JSX.Element;
            context: any;
            setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
                selectTitle: string;
                resultTitle: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
            forceUpdate(callback?: (() => void) | undefined): void;
            readonly props: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
                selectTitle: string;
                resultTitle: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }> & Readonly<{
                children?: React.ReactNode;
            }>;
            state: Readonly<{}>;
            refs: {
                [key: string]: React.ReactInstance;
            };
            componentDidMount?(): void;
            shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
                selectTitle: string;
                resultTitle: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): boolean;
            componentWillUnmount?(): void;
            componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
                selectTitle: string;
                resultTitle: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>): any;
            componentDidUpdate?(prevProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
                selectTitle: string;
                resultTitle: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>, snapshot?: any): void;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
                selectTitle: string;
                resultTitle: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
                selectTitle: string;
                resultTitle: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
                selectTitle: string;
                resultTitle: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText"> & Partial<Pick<Pick<TabsTransferProps, "value" | "options" | "className" | "inline" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "labelClassName" | "onDeferLoad" | "option2value" | "itemClassName" | "itemRender" | "sortable" | "cellRender" | "leftOptions" | "leftDefaultValue" | "leftMode" | "rightMode" | "onSearch" | "showArrow" | "selectTitle" | "searchResultMode" | "searchResultColumns" | "searchPlaceholder" | "noResultsText" | "resultTitle">, "itemRender" | "selectTitle" | "resultTitle">> & Partial<Pick<{
                selectTitle: string;
                resultTitle: string;
                itemRender: (option: Option) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
        };
        displayName: string;
        contextType: React.Context<string>;
        ComposedComponent: typeof TabsTransfer;
    } & import("hoist-non-react-statics").NonReactStatics<typeof TabsTransfer, {}> & {
        ComposedComponent: typeof TabsTransfer;
    };
};
export default _default;
