/// <reference types="hoist-non-react-statics" />
import React from 'react';
import { ThemeProps } from '../../theme';
import { LocaleProps } from '../../locale';
import { Fields, ConditionGroupValue, Funcs } from './types';
export interface ConditionBuilderProps extends ThemeProps, LocaleProps {
    fields: Fields;
    funcs?: Funcs;
    showNot?: boolean;
    value?: ConditionGroupValue;
    onChange: (value: ConditionGroupValue) => void;
}
export declare class QueryBuilder extends React.Component<ConditionBuilderProps> {
    config: import("./config").Config;
    dragTarget: HTMLElement;
    ghost: HTMLElement;
    host: HTMLElement;
    lastX: number;
    lastY: number;
    lastMoveAt: number;
    handleDragStart(e: React.DragEvent): void;
    handleDragOver(e: DragEvent): void;
    handleDragDrop(): void;
    handleDragEnd(e: Event): void;
    render(): JSX.Element;
}
declare const _default: {
    new (props: Readonly<Pick<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
        locale?: string | undefined;
        translate?: ((str: string, ...args: any[]) => string) | undefined;
    }, "value" | "locale" | "translate" | "onChange" | "fields" | "funcs" | "showNot"> & {
        theme?: string | undefined;
        className?: string | undefined;
        classPrefix?: string | undefined;
        classnames?: import("../../theme").ClassNamesFn | undefined;
    }>): {
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "locale" | "translate" | "onChange" | "fields" | "funcs" | "showNot"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../../theme").ClassNamesFn | undefined;
        }>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "locale" | "translate" | "onChange" | "fields" | "funcs" | "showNot"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../../theme").ClassNamesFn | undefined;
        }> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "locale" | "translate" | "onChange" | "fields" | "funcs" | "showNot"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../../theme").ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "locale" | "translate" | "onChange" | "fields" | "funcs" | "showNot"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../../theme").ClassNamesFn | undefined;
        }>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "locale" | "translate" | "onChange" | "fields" | "funcs" | "showNot"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../../theme").ClassNamesFn | undefined;
        }>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "locale" | "translate" | "onChange" | "fields" | "funcs" | "showNot"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../../theme").ClassNamesFn | undefined;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "locale" | "translate" | "onChange" | "fields" | "funcs" | "showNot"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../../theme").ClassNamesFn | undefined;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "locale" | "translate" | "onChange" | "fields" | "funcs" | "showNot"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../../theme").ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "locale" | "translate" | "onChange" | "fields" | "funcs" | "showNot"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../../theme").ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
    };
    new (props: Pick<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
        locale?: string | undefined;
        translate?: ((str: string, ...args: any[]) => string) | undefined;
    }, "value" | "locale" | "translate" | "onChange" | "fields" | "funcs" | "showNot"> & {
        theme?: string | undefined;
        className?: string | undefined;
        classPrefix?: string | undefined;
        classnames?: import("../../theme").ClassNamesFn | undefined;
    }, context?: any): {
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "locale" | "translate" | "onChange" | "fields" | "funcs" | "showNot"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../../theme").ClassNamesFn | undefined;
        }>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "locale" | "translate" | "onChange" | "fields" | "funcs" | "showNot"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../../theme").ClassNamesFn | undefined;
        }> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "locale" | "translate" | "onChange" | "fields" | "funcs" | "showNot"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../../theme").ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "locale" | "translate" | "onChange" | "fields" | "funcs" | "showNot"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../../theme").ClassNamesFn | undefined;
        }>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "locale" | "translate" | "onChange" | "fields" | "funcs" | "showNot"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../../theme").ClassNamesFn | undefined;
        }>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "locale" | "translate" | "onChange" | "fields" | "funcs" | "showNot"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../../theme").ClassNamesFn | undefined;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "locale" | "translate" | "onChange" | "fields" | "funcs" | "showNot"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../../theme").ClassNamesFn | undefined;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "locale" | "translate" | "onChange" | "fields" | "funcs" | "showNot"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../../theme").ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "locale" | "translate" | "onChange" | "fields" | "funcs" | "showNot"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../../theme").ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
    };
    displayName: string;
    contextType: React.Context<string>;
    ComposedComponent: {
        new (props: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>): {
            render(): JSX.Element;
            context: any;
            setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
            forceUpdate(callback?: (() => void) | undefined): void;
            readonly props: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }> & Readonly<{
                children?: React.ReactNode;
            }>;
            state: Readonly<{}>;
            refs: {
                [key: string]: React.ReactInstance;
            };
            componentDidMount?(): void;
            shouldComponentUpdate?(nextProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): boolean;
            componentWillUnmount?(): void;
            componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>): any;
            componentDidUpdate?(prevProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>, snapshot?: any): void;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
        };
        new (props: Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, context?: any): {
            render(): JSX.Element;
            context: any;
            setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
            forceUpdate(callback?: (() => void) | undefined): void;
            readonly props: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }> & Readonly<{
                children?: React.ReactNode;
            }>;
            state: Readonly<{}>;
            refs: {
                [key: string]: React.ReactInstance;
            };
            componentDidMount?(): void;
            shouldComponentUpdate?(nextProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): boolean;
            componentWillUnmount?(): void;
            componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>): any;
            componentDidUpdate?(prevProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>, snapshot?: any): void;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
        };
        displayName: string;
        contextType: React.Context<string>;
        ComposedComponent: typeof QueryBuilder;
    } & import("hoist-non-react-statics").NonReactStatics<typeof QueryBuilder, {}> & {
        ComposedComponent: typeof QueryBuilder;
    };
} & import("hoist-non-react-statics").NonReactStatics<{
    new (props: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
        locale?: string | undefined;
        translate?: ((str: string, ...args: any[]) => string) | undefined;
    }>): {
        render(): JSX.Element;
        context: any;
        setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
    };
    new (props: Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
        locale?: string | undefined;
        translate?: ((str: string, ...args: any[]) => string) | undefined;
    }, context?: any): {
        render(): JSX.Element;
        context: any;
        setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
    };
    displayName: string;
    contextType: React.Context<string>;
    ComposedComponent: typeof QueryBuilder;
} & import("hoist-non-react-statics").NonReactStatics<typeof QueryBuilder, {}> & {
    ComposedComponent: typeof QueryBuilder;
}, {}> & {
    ComposedComponent: {
        new (props: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>): {
            render(): JSX.Element;
            context: any;
            setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
            forceUpdate(callback?: (() => void) | undefined): void;
            readonly props: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }> & Readonly<{
                children?: React.ReactNode;
            }>;
            state: Readonly<{}>;
            refs: {
                [key: string]: React.ReactInstance;
            };
            componentDidMount?(): void;
            shouldComponentUpdate?(nextProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): boolean;
            componentWillUnmount?(): void;
            componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>): any;
            componentDidUpdate?(prevProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>, snapshot?: any): void;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
        };
        new (props: Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, context?: any): {
            render(): JSX.Element;
            context: any;
            setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
            forceUpdate(callback?: (() => void) | undefined): void;
            readonly props: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }> & Readonly<{
                children?: React.ReactNode;
            }>;
            state: Readonly<{}>;
            refs: {
                [key: string]: React.ReactInstance;
            };
            componentDidMount?(): void;
            shouldComponentUpdate?(nextProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): boolean;
            componentWillUnmount?(): void;
            componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>): any;
            componentDidUpdate?(prevProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>, snapshot?: any): void;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<ConditionBuilderProps, "value" | "className" | "classPrefix" | "classnames" | "theme" | "onChange" | "fields" | "funcs" | "showNot"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
        };
        displayName: string;
        contextType: React.Context<string>;
        ComposedComponent: typeof QueryBuilder;
    } & import("hoist-non-react-statics").NonReactStatics<typeof QueryBuilder, {}> & {
        ComposedComponent: typeof QueryBuilder;
    };
};
export default _default;
