/// <reference types="hoist-non-react-statics" />
import React from 'react';
import { FormControlProps } from './Item';
import { ClassNamesFn } from '../../theme';
import { Option } from './Options';
import { LocaleProps } from '../../locale';
export interface CityPickerProps extends LocaleProps {
    value: any;
    onChange: (value: any) => void;
    extractValue: boolean;
    joinValues?: boolean;
    delimiter: string;
    classnames: ClassNamesFn;
    classPrefix: string;
    className?: string;
    disabled?: boolean;
    allowCity: boolean;
    allowDistrict: boolean;
    allowStreet: boolean;
}
export interface CityPickerState {
    code: number;
    province: string;
    provinceCode: number;
    city: string;
    cityCode: number;
    district: string;
    districtCode: number;
    street: string;
}
export declare class CityPicker extends React.Component<CityPickerProps, CityPickerState> {
    static defaultProps: {
        joinValues: boolean;
        extractValue: boolean;
        delimiter: string;
        allowCity: boolean;
        allowDistrict: boolean;
        allowStreet: boolean;
    };
    state: {
        code: number;
        province: string;
        provinceCode: number;
        city: string;
        cityCode: number;
        district: string;
        districtCode: number;
        street: string;
    };
    componentDidMount(): void;
    componentDidUpdate(prevProps: CityPickerProps): void;
    handleProvinceChange(option: Option): void;
    handleCityChange(option: Option): void;
    handleDistrictChange(option: Option, otherStates?: Partial<CityPickerState>): void;
    handleStreetChange(e: React.ChangeEvent<HTMLInputElement>): void;
    handleStreetEnd(): void;
    syncIn(props?: Readonly<CityPickerProps> & Readonly<{
        children?: React.ReactNode;
    }>): void;
    syncOut(): void;
    render(): JSX.Element;
}
declare const ThemedCity: {
    new (props: Readonly<Pick<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
        joinValues: boolean;
        extractValue: boolean;
        delimiter: string;
        allowCity: boolean;
        allowDistrict: boolean;
        allowStreet: boolean;
    }, never>> & {
        locale?: string | undefined;
        translate?: ((str: string, ...args: any[]) => string) | undefined;
    }, "value" | "delimiter" | "joinValues" | "extractValue" | "disabled" | "locale" | "translate" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet"> & {
        theme?: string | undefined;
        className?: string | undefined;
        classPrefix?: string | undefined;
        classnames?: ClassNamesFn | undefined;
    }>): {
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "delimiter" | "joinValues" | "extractValue" | "disabled" | "locale" | "translate" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: ClassNamesFn | undefined;
        }>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "delimiter" | "joinValues" | "extractValue" | "disabled" | "locale" | "translate" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: ClassNamesFn | undefined;
        }> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "delimiter" | "joinValues" | "extractValue" | "disabled" | "locale" | "translate" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "delimiter" | "joinValues" | "extractValue" | "disabled" | "locale" | "translate" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: ClassNamesFn | undefined;
        }>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "delimiter" | "joinValues" | "extractValue" | "disabled" | "locale" | "translate" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: ClassNamesFn | undefined;
        }>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "delimiter" | "joinValues" | "extractValue" | "disabled" | "locale" | "translate" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: ClassNamesFn | undefined;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "delimiter" | "joinValues" | "extractValue" | "disabled" | "locale" | "translate" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: ClassNamesFn | undefined;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "delimiter" | "joinValues" | "extractValue" | "disabled" | "locale" | "translate" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "delimiter" | "joinValues" | "extractValue" | "disabled" | "locale" | "translate" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
    };
    new (props: Pick<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
        joinValues: boolean;
        extractValue: boolean;
        delimiter: string;
        allowCity: boolean;
        allowDistrict: boolean;
        allowStreet: boolean;
    }, never>> & {
        locale?: string | undefined;
        translate?: ((str: string, ...args: any[]) => string) | undefined;
    }, "value" | "delimiter" | "joinValues" | "extractValue" | "disabled" | "locale" | "translate" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet"> & {
        theme?: string | undefined;
        className?: string | undefined;
        classPrefix?: string | undefined;
        classnames?: ClassNamesFn | undefined;
    }, context?: any): {
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "delimiter" | "joinValues" | "extractValue" | "disabled" | "locale" | "translate" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: ClassNamesFn | undefined;
        }>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "delimiter" | "joinValues" | "extractValue" | "disabled" | "locale" | "translate" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: ClassNamesFn | undefined;
        }> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "delimiter" | "joinValues" | "extractValue" | "disabled" | "locale" | "translate" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "delimiter" | "joinValues" | "extractValue" | "disabled" | "locale" | "translate" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: ClassNamesFn | undefined;
        }>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "delimiter" | "joinValues" | "extractValue" | "disabled" | "locale" | "translate" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: ClassNamesFn | undefined;
        }>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "delimiter" | "joinValues" | "extractValue" | "disabled" | "locale" | "translate" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: ClassNamesFn | undefined;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "delimiter" | "joinValues" | "extractValue" | "disabled" | "locale" | "translate" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: ClassNamesFn | undefined;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "delimiter" | "joinValues" | "extractValue" | "disabled" | "locale" | "translate" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "delimiter" | "joinValues" | "extractValue" | "disabled" | "locale" | "translate" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
    };
    displayName: string;
    contextType: React.Context<string>;
    ComposedComponent: {
        new (props: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>): {
            render(): JSX.Element;
            context: any;
            setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
                joinValues: boolean;
                extractValue: boolean;
                delimiter: string;
                allowCity: boolean;
                allowDistrict: boolean;
                allowStreet: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
            forceUpdate(callback?: (() => void) | undefined): void;
            readonly props: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
                joinValues: boolean;
                extractValue: boolean;
                delimiter: string;
                allowCity: boolean;
                allowDistrict: boolean;
                allowStreet: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }> & Readonly<{
                children?: React.ReactNode;
            }>;
            state: Readonly<{}>;
            refs: {
                [key: string]: React.ReactInstance;
            };
            componentDidMount?(): void;
            shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
                joinValues: boolean;
                extractValue: boolean;
                delimiter: string;
                allowCity: boolean;
                allowDistrict: boolean;
                allowStreet: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): boolean;
            componentWillUnmount?(): void;
            componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
                joinValues: boolean;
                extractValue: boolean;
                delimiter: string;
                allowCity: boolean;
                allowDistrict: boolean;
                allowStreet: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>): any;
            componentDidUpdate?(prevProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
                joinValues: boolean;
                extractValue: boolean;
                delimiter: string;
                allowCity: boolean;
                allowDistrict: boolean;
                allowStreet: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>, snapshot?: any): void;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
                joinValues: boolean;
                extractValue: boolean;
                delimiter: string;
                allowCity: boolean;
                allowDistrict: boolean;
                allowStreet: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
                joinValues: boolean;
                extractValue: boolean;
                delimiter: string;
                allowCity: boolean;
                allowDistrict: boolean;
                allowStreet: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
                joinValues: boolean;
                extractValue: boolean;
                delimiter: string;
                allowCity: boolean;
                allowDistrict: boolean;
                allowStreet: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
                joinValues: boolean;
                extractValue: boolean;
                delimiter: string;
                allowCity: boolean;
                allowDistrict: boolean;
                allowStreet: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
        };
        new (props: Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, context?: any): {
            render(): JSX.Element;
            context: any;
            setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
                joinValues: boolean;
                extractValue: boolean;
                delimiter: string;
                allowCity: boolean;
                allowDistrict: boolean;
                allowStreet: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
            forceUpdate(callback?: (() => void) | undefined): void;
            readonly props: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
                joinValues: boolean;
                extractValue: boolean;
                delimiter: string;
                allowCity: boolean;
                allowDistrict: boolean;
                allowStreet: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }> & Readonly<{
                children?: React.ReactNode;
            }>;
            state: Readonly<{}>;
            refs: {
                [key: string]: React.ReactInstance;
            };
            componentDidMount?(): void;
            shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
                joinValues: boolean;
                extractValue: boolean;
                delimiter: string;
                allowCity: boolean;
                allowDistrict: boolean;
                allowStreet: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): boolean;
            componentWillUnmount?(): void;
            componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
                joinValues: boolean;
                extractValue: boolean;
                delimiter: string;
                allowCity: boolean;
                allowDistrict: boolean;
                allowStreet: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>): any;
            componentDidUpdate?(prevProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
                joinValues: boolean;
                extractValue: boolean;
                delimiter: string;
                allowCity: boolean;
                allowDistrict: boolean;
                allowStreet: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>, snapshot?: any): void;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
                joinValues: boolean;
                extractValue: boolean;
                delimiter: string;
                allowCity: boolean;
                allowDistrict: boolean;
                allowStreet: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
                joinValues: boolean;
                extractValue: boolean;
                delimiter: string;
                allowCity: boolean;
                allowDistrict: boolean;
                allowStreet: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
                joinValues: boolean;
                extractValue: boolean;
                delimiter: string;
                allowCity: boolean;
                allowDistrict: boolean;
                allowStreet: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
                joinValues: boolean;
                extractValue: boolean;
                delimiter: string;
                allowCity: boolean;
                allowDistrict: boolean;
                allowStreet: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
        };
        displayName: string;
        contextType: React.Context<string>;
        ComposedComponent: typeof CityPicker;
    } & import("hoist-non-react-statics").NonReactStatics<typeof CityPicker, {}> & {
        ComposedComponent: typeof CityPicker;
    };
} & import("hoist-non-react-statics").NonReactStatics<{
    new (props: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
        joinValues: boolean;
        extractValue: boolean;
        delimiter: string;
        allowCity: boolean;
        allowDistrict: boolean;
        allowStreet: boolean;
    }, never>> & {
        locale?: string | undefined;
        translate?: ((str: string, ...args: any[]) => string) | undefined;
    }>): {
        render(): JSX.Element;
        context: any;
        setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
    };
    new (props: Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
        joinValues: boolean;
        extractValue: boolean;
        delimiter: string;
        allowCity: boolean;
        allowDistrict: boolean;
        allowStreet: boolean;
    }, never>> & {
        locale?: string | undefined;
        translate?: ((str: string, ...args: any[]) => string) | undefined;
    }, context?: any): {
        render(): JSX.Element;
        context: any;
        setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
    };
    displayName: string;
    contextType: React.Context<string>;
    ComposedComponent: typeof CityPicker;
} & import("hoist-non-react-statics").NonReactStatics<typeof CityPicker, {}> & {
    ComposedComponent: typeof CityPicker;
}, {}> & {
    ComposedComponent: {
        new (props: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>): {
            render(): JSX.Element;
            context: any;
            setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
                joinValues: boolean;
                extractValue: boolean;
                delimiter: string;
                allowCity: boolean;
                allowDistrict: boolean;
                allowStreet: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
            forceUpdate(callback?: (() => void) | undefined): void;
            readonly props: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
                joinValues: boolean;
                extractValue: boolean;
                delimiter: string;
                allowCity: boolean;
                allowDistrict: boolean;
                allowStreet: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }> & Readonly<{
                children?: React.ReactNode;
            }>;
            state: Readonly<{}>;
            refs: {
                [key: string]: React.ReactInstance;
            };
            componentDidMount?(): void;
            shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
                joinValues: boolean;
                extractValue: boolean;
                delimiter: string;
                allowCity: boolean;
                allowDistrict: boolean;
                allowStreet: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): boolean;
            componentWillUnmount?(): void;
            componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
                joinValues: boolean;
                extractValue: boolean;
                delimiter: string;
                allowCity: boolean;
                allowDistrict: boolean;
                allowStreet: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>): any;
            componentDidUpdate?(prevProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
                joinValues: boolean;
                extractValue: boolean;
                delimiter: string;
                allowCity: boolean;
                allowDistrict: boolean;
                allowStreet: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>, snapshot?: any): void;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
                joinValues: boolean;
                extractValue: boolean;
                delimiter: string;
                allowCity: boolean;
                allowDistrict: boolean;
                allowStreet: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
                joinValues: boolean;
                extractValue: boolean;
                delimiter: string;
                allowCity: boolean;
                allowDistrict: boolean;
                allowStreet: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
                joinValues: boolean;
                extractValue: boolean;
                delimiter: string;
                allowCity: boolean;
                allowDistrict: boolean;
                allowStreet: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
                joinValues: boolean;
                extractValue: boolean;
                delimiter: string;
                allowCity: boolean;
                allowDistrict: boolean;
                allowStreet: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
        };
        new (props: Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
            joinValues: boolean;
            extractValue: boolean;
            delimiter: string;
            allowCity: boolean;
            allowDistrict: boolean;
            allowStreet: boolean;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, context?: any): {
            render(): JSX.Element;
            context: any;
            setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
                joinValues: boolean;
                extractValue: boolean;
                delimiter: string;
                allowCity: boolean;
                allowDistrict: boolean;
                allowStreet: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
            forceUpdate(callback?: (() => void) | undefined): void;
            readonly props: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
                joinValues: boolean;
                extractValue: boolean;
                delimiter: string;
                allowCity: boolean;
                allowDistrict: boolean;
                allowStreet: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }> & Readonly<{
                children?: React.ReactNode;
            }>;
            state: Readonly<{}>;
            refs: {
                [key: string]: React.ReactInstance;
            };
            componentDidMount?(): void;
            shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
                joinValues: boolean;
                extractValue: boolean;
                delimiter: string;
                allowCity: boolean;
                allowDistrict: boolean;
                allowStreet: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): boolean;
            componentWillUnmount?(): void;
            componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
                joinValues: boolean;
                extractValue: boolean;
                delimiter: string;
                allowCity: boolean;
                allowDistrict: boolean;
                allowStreet: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>): any;
            componentDidUpdate?(prevProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
                joinValues: boolean;
                extractValue: boolean;
                delimiter: string;
                allowCity: boolean;
                allowDistrict: boolean;
                allowStreet: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>, snapshot?: any): void;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
                joinValues: boolean;
                extractValue: boolean;
                delimiter: string;
                allowCity: boolean;
                allowDistrict: boolean;
                allowStreet: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
                joinValues: boolean;
                extractValue: boolean;
                delimiter: string;
                allowCity: boolean;
                allowDistrict: boolean;
                allowStreet: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
                joinValues: boolean;
                extractValue: boolean;
                delimiter: string;
                allowCity: boolean;
                allowDistrict: boolean;
                allowStreet: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange"> & Partial<Pick<Pick<CityPickerProps, "value" | "delimiter" | "joinValues" | "extractValue" | "className" | "disabled" | "classPrefix" | "classnames" | "onChange" | "allowCity" | "allowDistrict" | "allowStreet">, "delimiter" | "joinValues" | "extractValue" | "allowCity" | "allowDistrict" | "allowStreet">> & Partial<Pick<{
                joinValues: boolean;
                extractValue: boolean;
                delimiter: string;
                allowCity: boolean;
                allowDistrict: boolean;
                allowStreet: boolean;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
        };
        displayName: string;
        contextType: React.Context<string>;
        ComposedComponent: typeof CityPicker;
    } & import("hoist-non-react-statics").NonReactStatics<typeof CityPicker, {}> & {
        ComposedComponent: typeof CityPicker;
    };
};
export default ThemedCity;
export interface LocationControlProps extends FormControlProps {
    allowCity?: boolean;
    allowDistrict?: boolean;
    extractValue?: boolean;
    joinValues?: boolean;
    allowStreet?: boolean;
}
export declare class LocationControl extends React.Component<LocationControlProps> {
    render(): JSX.Element;
}
export declare class CheckboxControlRenderer extends LocationControl {
}
